package com.mvc.dao;

import com.mvc.entity.TCheckDetail;
import com.mvc.entity.TCheckDetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TCheckDetailMapper {
    long countByExample(TCheckDetailExample example);

    int deleteByExample(TCheckDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TCheckDetail record);

    int insertSelective(TCheckDetail record);

    List<TCheckDetail> selectByExample(TCheckDetailExample example);

    TCheckDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TCheckDetail record, @Param("example") TCheckDetailExample example);

    int updateByExample(@Param("record") TCheckDetail record, @Param("example") TCheckDetailExample example);

    int updateByPrimaryKeySelective(TCheckDetail record);

    int updateByPrimaryKey(TCheckDetail record);
}